{% extends 'base.html.twig' %}
{% block title 'Gérer les biens' %}

{% block body %}
    <div class="container mt-4">
        <h1>Gérer les biens</h1>

        {% for message in app.flashes('success') %}
            <div class="alert alert-success">
                {{ message }}
            </div>
        {% endfor %}

        <table class="table table-striped">
            <thead>
                <tr>
                    <th>Titre</th>
                    <th>Action</th>
                </tr>
            </thead>
            <tbody>
                {% for property in properties %}
                    <tr>
                        <td>{{ property.title }}</td>
                        <td>
                            <a href="{{ path('admin.property.edit', {id: property.id}) }}" class="btn btn-secondary">Modifier</a>
                            <form method="post" action="{{ path('admin.property.delete', {id: property.id }) }}" class="d-inline-block" onsubmit="return confirm('Vraiment Supprimer ?')">
                                <input type="hidden" name="_method" value="DELETE" />
                                <input type="hidden" name="_token" value="{{ csrf_token('delete' ~ property.id) }}" />
                                <button class="btn btn-danger">Supprimer</button>
                            </form>
                        </td>
                    </tr>
                {% endfor %}
            </tbody>

            <div class="text-right">
                <a href="{{ path('admin.property.new') }}" class="btn btn-primary">Créer un bien</a>
            </div>
        </table>
    </div>
{% endblock %}